#pragma once
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include <guecs/ui.hpp>
#include "events.hpp"

namespace gui {
  class CombatUI {
    public:
      guecs::UI $gui;

      CombatUI();

      void init();
      void render(sf::RenderWindow& window);
      void update_level();
      bool mouse(float x, float y, guecs::Modifiers mods);
      guecs::Entity make_button(std::string name, Events::GUI event,
          int action, const std::string &icon_name,
          const std::string &sound, const std::string &effect_name);
  };
}
